Public Class DrawPanelForm



    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click

        p.NewDoc()
        p.NewPage()
        p.DrawPanel(GroupBox1, True)
        p.DrawText("调用DrawPanel后接下去可打印的位置。控件会自动定位到接下去可打印的位置，如果有需要，可在此先用IsNewPage函数检测在打印新内容前是否需要分页，然后再打印内容", New Font("宋体", 18), Color.Blue)
        p.EndDoc()
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        p.NewDoc()
        p.NewPage()
        p.DrawPanel(GroupBox1, False)
        p.DrawText("调用DrawPanel后接下去可打印的位置。控件会自动定位到接下去可打印的位置，如果有需要，可在此先用IsNewPage函数检测在打印新内容前是否需要分页，然后再打印内容", New Font("宋体", 18), Color.Blue)
        p.EndDoc()
    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        p.NewDoc()
        p.NewPage()
        p.DrawPanel(GroupBox1, True, True, True, False, True, StringAlignment.Near)
        p.DrawText("调用DrawPanel后接下去可打印的位置。控件会自动定位到接下去可打印的位置，如果有需要，可在此先用IsNewPage函数检测在打印新内容前是否需要分页，然后再打印内容", New Font("宋体", 18), Color.Blue)
        p.EndDoc()
    End Sub

    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click
        p.NewDoc()
        p.NewPage()
        p.DrawPanel(GroupBox1, True, False, True, False, True, StringAlignment.Near)
        p.DrawText("调用DrawPanel后接下去可打印的位置。控件会自动定位到接下去可打印的位置，如果有需要，可在此先用IsNewPage函数检测在打印新内容前是否需要分页，然后再打印内容", New Font("宋体", 18), Color.Blue)
        p.EndDoc()
    End Sub

    Private Sub Button5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button5.Click
        p.NewDoc()
        p.NewPage()
        p.DrawPanel(GroupBox1, True, False, False, False, True, StringAlignment.Near)
        p.DrawText("调用DrawPanel后接下去可打印的位置。控件会自动定位到接下去可打印的位置，如果有需要，可在此先用IsNewPage函数检测在打印新内容前是否需要分页，然后再打印内容", New Font("宋体", 18), Color.Blue)
        p.EndDoc()
    End Sub

    Private Sub Button6_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button6.Click
        p.NewDoc()
        p.NewPage()
        p.DrawPanel(GroupBox1, False, True, True, True, True, StringAlignment.Near)
        p.DrawText("调用DrawPanel后接下去可打印的位置。控件会自动定位到接下去可打印的位置，如果有需要，可在此先用IsNewPage函数检测在打印新内容前是否需要分页，然后再打印内容", New Font("宋体", 18), Color.Blue)
        p.EndDoc()
    End Sub
End Class